@import 'abstracts/_mixins'
@import 'abstracts/_variables'
@import 'abstracts/_breakpoints'
  
.product-box
  +general-box-shadow(0, 7px, 15px, 0, rgba(0, 0, 0, .05))
  min-height: 200px
  width: 250px
  height: 300px
  margin: 10px
  cursor: pointer
  transition: all 0.2s ease-in
  background: var(--white)
  border-radius: var(--border-radius-l)
  &:hover
    +general-box-shadow(0px, 15px, 10px, 0, rgba(0, 0, 0, 0.05))
  .box-image
    +flex(center, center)
  .box-content
    padding: var(--padding-s) var(--padding)

.skeleton
  width: 250px
  margin: 10px
  &.image
    +skeleton(180px, 150px, null)
  &.content
    > div
      +skeleton(100px, 20px)
      margin-bottom: 10px

@media only screen and (max-width: $break-mobile)
  .product-box
    width: 160px
    height: 250px
    .box-image
      div
        width: 120px !important
        height: 120px !important
  .skeleton
    width: 100px
    &.image
      +skeleton(150px, 150px, null)
    &.content
      > div
        +skeleton(150px, 20px)
